Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.maryanovsky.map.client.mapa
Class Mapa

    java.lang.Object
      com.maryanovsky.map.client.mapa.Mapa

    public class Mapa

extends Object

Mapa's (mapa.co.il) projection and tile layers. Note that if you want to actually use this class to display Mapa's tiles on your website, you will need to get permission from Mapa.

Author:
  Maryanovsky Alexander

Nested Class Summary
`static class` | `Mapa.IcsProjection` The Israel Cassini-Soldner projection.

Field Summary
`static TileLayer` | `HYBRID_TILE_LAYER` The hybrid tile layer.
`static int` | `MAX_ZOOM` The maximum zoom.
`static int` | `MIN_ZOOM` The minimum zoom.
`static TileLayer` | `NORMAL_TILE_LAYER` The normal tile layer.
`static Projection` | `PROJECTION` The (guesstimate of the) projection used by Mapa.
`static TileLayer` | `SATTELITE_TILE_LAYER` The sattelite tile layer.

Constructor Summary
`Mapa()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MIN_ZOOM

    public static final int MIN_ZOOM

  The minimum zoom.

  See Also:
    Constant Field Values

### MAX_ZOOM

    public static final int MAX_ZOOM

  The maximum zoom.

### PROJECTION

    public static final Projection PROJECTION

  The (guesstimate of the) projection used by Mapa.

### NORMAL_TILE_LAYER

    public static final TileLayer NORMAL_TILE_LAYER

  The normal tile layer.

### SATTELITE_TILE_LAYER

    public static final TileLayer SATTELITE_TILE_LAYER

  The sattelite tile layer.

### HYBRID_TILE_LAYER

    public static final TileLayer HYBRID_TILE_LAYER

  The hybrid tile layer.

Constructor Detail

### Mapa

    public Mapa()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD